@echo off
copy ..\MF_Arrays\settings.fig

if not exist ".\arrays\" (mkdir .\arrays\)

REM ---------------------------- Calculate Transmissivity by MF layers ------------------------ 

call 02_Sub.MakeTRANbyMF.bat  ..\MF_Arrays  DV3-06_spc.txt  0000 0001
call 02_Sub.MakeTRANbyMF.bat  ..\MF_Arrays  DV3-06_spc.txt  0001 0002
call 02_Sub.MakeTRANbyMF.bat  ..\MF_Arrays  DV3-06_spc.txt  0002 0003
call 02_Sub.MakeTRANbyMF.bat  ..\MF_Arrays  DV3-06_spc.txt  0003 0004
call 02_Sub.MakeTRANbyMF.bat  ..\MF_Arrays  DV3-06_spc.txt  0004 0005
call 02_Sub.MakeTRANbyMF.bat  ..\MF_Arrays  DV3-06_spc.txt  0005 0006

REM ----------------------------GRIDPOLY Transmissivity 1 ------------------------ 
REM  %1  Relative path to model directory
REM  %2  Enter name of grid specification file: valley.spc
REM  %3  Enter HSU code

call 02_Sub.MakeTRANbyHSU.bat  ..\MF_Arrays  DV3-06_spc.txt  0034
call 02_Sub.MakeTRANbyHSU.bat  ..\MF_Arrays  DV3-06_spc.txt  0035
call 02_Sub.MakeTRANbyHSU.bat  ..\MF_Arrays  DV3-06_spc.txt  0104
call 02_Sub.MakeTRANbyHSU.bat  ..\MF_Arrays  DV3-06_spc.txt  0151
call 02_Sub.MakeTRANbyHSU.bat  ..\MF_Arrays  DV3-06_spc.txt  0154
call 02_Sub.MakeTRANbyHSU.bat  ..\MF_Arrays  DV3-06_spc.txt  0174
call 02_Sub.MakeTRANbyHSU.bat  ..\MF_Arrays  DV3-06_spc.txt  0175
call 02_Sub.MakeTRANbyHSU.bat  ..\MF_Arrays  DV3-06_spc.txt  0195

REM ---------------------------- Calculate Transmissivity for 1 HSU ------------------------ 
REM  %1  Enter name of grid specification file: valley.spc
REM  %2  Enter name of first real array file: ARRAY1
REM  %3  Enter name of secon real array file: ARRAY2
REM  %4  Specify operation  (replace/add/subtract/multiply/divide)  [r/a/s/m/d]: m
REM  %5  Enter name for output real array file: OUTPUT_ARRAY

copy                                                    Array.TRAN.HSU0034.txt     t.txt
call 02_Sub.2array.BAT  ..\MF_Arrays\DV3-06_spc.txt  t.txt  Array.TRAN.HSU0035.txt  a   Array.TRAN.HSU0000.txt
copy Array.TRAN.HSU0000.txt t.txt
call 02_Sub.2array.BAT  ..\MF_Arrays\DV3-06_spc.txt  t.txt  Array.TRAN.HSU0104.txt  a   Array.TRAN.HSU0000.txt
copy Array.TRAN.HSU0000.txt t.txt
call 02_Sub.2array.BAT  ..\MF_Arrays\DV3-06_spc.txt  t.txt  Array.TRAN.HSU0151.txt  a   Array.TRAN.HSU0000.txt
copy Array.TRAN.HSU0000.txt t.txt
call 02_Sub.2array.BAT  ..\MF_Arrays\DV3-06_spc.txt  t.txt  Array.TRAN.HSU0154.txt  a   Array.TRAN.HSU0000.txt
copy Array.TRAN.HSU0000.txt t.txt
call 02_Sub.2array.BAT  ..\MF_Arrays\DV3-06_spc.txt  t.txt  Array.TRAN.HSU0174.txt  a   Array.TRAN.HSU0000.txt
copy Array.TRAN.HSU0000.txt t.txt
call 02_Sub.2array.BAT  ..\MF_Arrays\DV3-06_spc.txt  t.txt  Array.TRAN.HSU0175.txt  a   Array.TRAN.HSU0000.txt
copy Array.TRAN.HSU0000.txt t.txt
call 02_Sub.2array.BAT  ..\MF_Arrays\DV3-06_spc.txt  t.txt  Array.TRAN.HSU0195.txt  a   Array.TRAN.HSU0000.txt

copy Array.TRAN.*.txt .\arrays
del  Array.TRAN.*.txt  > nul

REM pause
