@echo off

REM ---------------------------- Calculate Transmissivity for 1 MF layer ------------------------ 
REM  %1  Relative path to model directory
REM  %2  Enter name of grid specification file: valley.spc
REM  %3  Enter MF Layer code
REM  %4  Enter MF next Layer code

copy %1\settings.fig 
copy %1\t.GridSpecs.txt
REM ---------------------------- Calculate MF layer thickness ------------------------ 
REM  %1  Enter name of grid specification file: valley.spc
REM  %2  Enter name of first real array file: ARRAY1
REM  %3  Enter name of secon real array file: ARRAY2
REM  %4  Specify operation  (replace/add/subtract/multiply/divide)  [r/a/s/m/d]: m
REM  %5  Enter name for output real array file: OUTPUT_ARRAY

call 02_Sub.2array.BAT  %1\%2  %1\Array.MF-Top%3.txt  %1\Array.MF-Top%4.txt  s  t.Array.thk-m.txt
REM ---------------------------- Convert layer thickness from meters to feet  ------------------------ 
REM  %1  Enter name of grid specification file: valley.spc
REM  %2  Enter name of first real array file: ARRAY1
REM  %3  Enter name of secon real array file: ARRAY2
REM  %4  Specify operation  (replace/add/subtract/multiply/divide)  [r/a/s/m/d]: m
REM  %5  Enter name for output real array file: OUTPUT_ARRAY

call 02_Sub.2array.BAT  %1\%2  %1\Array.ftPm.txt  t.Array.thk-m.txt  m  t.Array.thk.txt

REM ---------------------------- Calculate Transmissivity for 1 MF layer ------------------------ 
REM  %1  Enter name of grid specification file: valley.spc
REM  %2  Enter name of first real array file: ARRAY1
REM  %3  Enter name of secon real array file: ARRAY2
REM  %4  Specify operation  (replace/add/subtract/multiply/divide)  [r/a/s/m/d]: m
REM  %5  Enter name for output real array file: OUTPUT_ARRAY

call 02_Sub.2array.BAT  %1\%2  %1\Array.MF-HydK_%4.txt t.Array.thk.txt  m  Array.TRAN.MF_%4.txt

del t.Array.?hk-m.txt  > nul
del t.Array.?hk.txt  > nul

REM del settings.fig  > nul

